package meerkat.bulletinboard.workers.multiserver;

import com.google.common.util.concurrent.FutureCallback;
import meerkat.bulletinboard.CompleteBatch;
import meerkat.bulletinboard.SingleServerBulletinBoardClient;

import java.util.List;

/**
 * Created by Arbel Deutsch Peled on 27-Dec-15.
 */
public class MultiServerPostBatchWorker extends MultiServerGenericPostWorker<CompleteBatch> {

    public MultiServerPostBatchWorker(List<SingleServerBulletinBoardClient> clients,
                                      int minServers, CompleteBatch payload, int maxRetry,
                                      FutureCallback<Boolean> futureCallback) {

        super(clients, minServers, payload, maxRetry, futureCallback);

    }

    @Override
    protected void doPost(SingleServerBulletinBoardClient client, CompleteBatch payload) {
        client.postBatch(payload, this);
    }


}
