package meerkat.bulletinboard.workers.singleserver;

import meerkat.protobuf.BulletinBoardAPI.BatchMessage;

import static meerkat.bulletinboard.BulletinBoardConstants.POST_BATCH_PATH;

/**
 * Created by Arbel Deutsch Peled on 27-Dec-15.
 * Tries to contact server once and perform a post batch operation
 */
public class SingleServerPostBatchWorker extends SingleServerGenericPostWorker<BatchMessage> {

    public SingleServerPostBatchWorker(String serverAddress, BatchMessage payload, int maxRetry) {
        super(serverAddress, POST_BATCH_PATH, payload, maxRetry);
    }

}
