package meerkat.voting.ui.uicommands;

import meerkat.protobuf.Voting.*;
import meerkat.voting.controller.callbacks.*;

import java.util.List;

/**
 * This command signals the UI to present the race voting questions to the voter
 */
public class RaceVotingUICommand extends UICommand {

    private final List<BallotQuestion> questions;

    public RaceVotingUICommand(List<BallotQuestion> questions, ControllerCallback callback)
    {
        super(callback);
        this.questions = questions;
    }

    public List<BallotQuestion> getQuestions () {
        return this.questions;
    }
}
